Subject: Re: bug#45415: Error in package-initialize; persists in emacs -Q

From: Michael Heerdegen <[email-masked]>
Date: Fri, 25 Dec 2020 07:01:10 +0100

Drew Adams <[email-masked]> writes:

> https://github.com/melpa/melpa/issues/7312

For the record: this means that Emacs might fail to start.  Mine didn't
even get far enough to open the first X frame.  One needs to start with
-q.

Then I had to edit the package descriptions of all packages I had tried
to upgrade by hand.  In ~/.emacs.d/elpa for any package directory of any
package "foo", in the directory of "foo" I needed to change the first
line of the file "foo-pkg.el":

(define-package foo ...

to

(define-package "foo" ...

to make package initialization succeed again.

HTH,

Michael.